===========================================================================
 BBS: The Engineer's Studio
Date: 06-14-93 (17:16)             Number: 18
From: BRUCE FEUCHUK                Refer#: NONE
  To: FRED KIRBY                    Recvd: NO  
Subj: Global Changes - Part 1        Conf: (2) A_Cad
---------------------------------------------------------------------------
 > the old SSX.lsp routine.  It is great for making selections based on
 > entity type.  My question:  Is there any way to globally make changes
 > to entities that have been selected?  For instance, I'd like to
 > change all selected circles to have a certain radius.  Better yet, I'd

While the following may NOT do what you specifically want... if you are into
some LSP programming (no great knowledge needed)... you can
take my personal LSP routine as is and make some
modifications to suit your needs... it's pretty
straightforward... set you Layers you want to manipulate
then make your selection (no need to worry about the C
option as it will filter out all but what you chose to
select - ie: lines or text)... anywyas here it is (Part 1):

;; Allows a User to make a more powerful Selection set
;; MUST use ISE.LSP first for this to work !!!
;; Written by Bruce Feuchuk - Vancouver, BC
;; Fidonet 1:153/768
;; NOTE: this was written for my personal use only...
;; I only guarentee that it takes up disk space !!

; Item Select for Edit

; ---------
; finds True last entity on drawing
; ---------
(defun lastent (/ ent1 ent2)
  (setq ent1 (entlast))
  (while (setq ent2 (entnext ent1))
        (setq ent1 ent2)
 )
 ent1
)

; *** Pick the Selection set Entity type
(defun Get_ent ( )
(setq ss1 (ssget (list (cons 0 Item_nam) (cons 8 Item_lyr))))
)

; *** Pick the Selection set Entity type
(defun Get_3Dent ( )
;;(setq ss1 nil)
(setq ss1 (ssget (list (cons 210 Item_nam) (cons 8 Item_lyr))))
)

; *** Modify the Selection set
(defun Mod_ent ( )
(command Item_mod "P" "")
;;(setq ss1 nil)
)

; *** Explode the Selection set
(defun Exp_ent ( )
; (setq ss2 (subst (command "explode") (assoc 0 ss1) ss2) --- doesn't work
(textpage) (textscr)
(princ "\n ")
(princ "\n    NOTE: you selected the Explode command... ")
(princ "\n--> You will Have to explode the selection set 'manually' by")
(princ "\n--> the following Command....")
(princ "\n ")
(princ "\n    Explode - then P [for Previous] - Return")
(princ "\n ")
(Terpri)
)

; *** Nothing for Modifying selection set made
(defun Endit ( )
(Terpri)
)


; *** Main Program
(Defun C:ISE ( )

; Choose Layers to Edit
(Terpri)
(if (= LSE "") (setq LSE "*") (setq LSE LSE))  ; All layers selected
(setq lse_1 lse)
(setq Item_lyr (getstring "\nLayers for Editing are: ")

; Make Selection set
(setq ss1 nil)    ; clear old selection set
(Initget (+ 2))
  (princ "\nSelect: 1=Arc  2=Circle  3=Line  4=Pline  5=Point  6=Text")
 (setq Ent_typ
(Getreal "\n        7=Dimension  8=Block/Hatch  9=3D Faces: "))
(Terpri)
(princ "\n ")

(Cond ((= Ent_typ 1) (setq Item_nam (apply 'strcat '("Arc"))) (Get_ent))
      ((= Ent_typ 2) (setq Item_nam (apply 'strcat '("Circle"))) (Get_ent))
      ((= Ent_typ 3) (setq Item_nam (apply 'strcat '("Line"))) (Get_ent))
      ((= Ent_typ 4) (setq Item_nam (apply 'strcat '("PolyLine"))) (Get_ent))
      ((= Ent_typ 5) (setq Item_nam (apply 'strcat '("Point"))) (Get_ent))
      ((= Ent_typ 6) (setq Item_nam (apply 'strcat '("Text"))) (Get_ent))
      ((= Ent_typ 7) (setq Item_nam (apply 'strcat '("Dimension"))) (Get_ent))
      ((= Ent_typ 8) (setq Item_nam (apply 'strcat '("Insert"))) (Get_ent))
      ((= Ent_typ 9) (setq Item_nam (apply 'strcat '("3D Face"))) (Get_3Dent))
 )

; Now Modify the Selection set
(Initget (+ 2))
  (princ "\nSelect: 1=Change  2=Copy  3=Erase  4=Mirror  5=Move")
 (setq Ent_Mod
(Getreal "\n        6=Rotate  7=Scale  8=Explode  99=None: ")
 )
(Terpri)

; go and Modify
(Cond ((= Ent_Mod 1) (setq Item_mod (apply 'strcat '("Change"))) (Mod_ent))
      ((= Ent_Mod 2) (setq Item_mod (apply 'strcat '("Copy"))) (Mod_ent))
      ((= Ent_Mod 3) (setq Item_mod (apply 'strcat '("Erase"))) (Mod_ent))
      ((= Ent_Mod 4) (setq Item_mod (apply 'strcat '("Mirror"))) (Mod_ent))
      ((= Ent_Mod 5) (setq Item_mod (apply 'strcat '("Move"))) (Mod_ent))
      ((= Ent_Mod 6) (setq Item_mod (apply 'strcat '("Rotate"))) (Mod_ent))
      ((= Ent_Mod 7) (setq Item_mod (apply 'strcat '("Scale"))) (Mod_ent))
      ((= Ent_Mod 8) (Exp_ent))
      ((= Ent_Mod 99) (setq Item_mod (apply 'strcat '(""))) (Endit))
 )
)
 * Origin: RAM CHIP BBS - Vancouver, B.C. (604) 681-4741 (1:153/768)
